/*
 * LineTool.java
 *
 * Created on 15 de Maio de 2000, 16:32
 */
 
/** 
 *
 * @author  agomes
 * @version 
 */

import java.awt.event.MouseEvent;
import java.awt.Color;
import java.awt.Graphics;

public class LineTool implements AnyTool 
{
  int x0, y0, x1, y1;

  /** Creates new LineTool */
  public LineTool()
  {
    x0 = y0 = x1 = y1 = 0;
  }

  public void startTool()
  {
  }

  public void stopTool()
  {
  }

  public void mousePressed(Graphics g,java.awt.event.MouseEvent evt)
  {
      beginLine(g, evt.getX(), evt.getY());
  }

  public void mouseMoved(Graphics g,java.awt.event.MouseEvent evt)
  {
  }

  public void mouseReleased(Graphics g,java.awt.event.MouseEvent evt)
  {
      endLine(g, evt.getX(), evt.getY());
  }

  public void mouseDoubleClicked(Graphics g,java.awt.event.MouseEvent evt)
  {
  }

  public void mouseDragged(Graphics g,java.awt.event.MouseEvent evt)
  {
      rubberP1Line(g, evt.getX(), evt.getY());
  }

  public void mouseClicked(Graphics g,java.awt.event.MouseEvent evt)
  {
  }

  private void beginLine(Graphics g, int x, int y)
  {
    x0 = x; y0 = y;
    x1 = x; y1 = y;
    g.setColor(Color.black);
    g.setPaintMode();
    g.drawLine(x0, y0, x1, y1);
  }

  private void rubberP1Line(Graphics g, int x, int y)
  {
    g.setColor(Color.white);
    g.setXORMode(Color.black);
    g.drawLine(x0, y0, x1, y1);
    x1 = x; y1 = y;
    g.drawLine(x0, y0, x1, y1);
  }

  private void endLine(Graphics g, int x, int y)
  {
    g.setColor(Color.black);
    g.setPaintMode();
    g.drawLine(x0, y0, x, y);
  }
}
